Bug 963107 - SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'create' accesses on the directory .pulse.
SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'create' a...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:46bf59d5fc91a196b14cff85d24...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 03:28 EDT by xarlyf
Modified: 2013-07-04 02:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 02:40:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xarlyf 2013-05-15 03:28:49 EDT
Description of problem:
SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'create' accesses on the directory .pulse.

*****  Plugin catchall (100. confidence) suggests  ***************************

If cree que de manera predeterminada, plugin-container debería permitir acceso create sobre  .pulse directory.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso momentáneamente executando:
# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:pulseaudio_home_t:s0
Target Objects                .pulse [ dir ]
Source                        plugin-containe
Source Path                   /usr/lib64/xulrunner-2/plugin-container
Port                          <Desconocido>
Host                          (removed)
Source RPM Packages           pulseaudio-1.1-9.fc17.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.10.0-169.fc17.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.8.11-100.fc17.x86_64 #1 SMP Wed
                              May 1 19:31:26 UTC 2013 x86_64 x86_64
Alert Count                   14
First Seen                    2013-05-02 01:49:03 CEST
Last Seen                     2013-05-15 09:19:07 CEST
Local ID                      0846f86f-d712-44b4-910b-64275713f298

Raw Audit Messages
type=AVC msg=audit(1368602347.631:65): avc:  denied  { create } for  pid=8745 comm="autospawn" name=".pulse" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:pulseaudio_home_t:s0 tclass=dir


type=SYSCALL msg=audit(1368602347.631:65): arch=x86_64 syscall=mkdir success=no exit=EACCES a0=7f4e040009a0 a1=1c0 a2=ffffffff a3=64 items=0 ppid=5539 pid=8745 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=2 tty=(none) comm=autospawn exe=/usr/bin/pulseaudio subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: plugin-containe,mozilla_plugin_t,pulseaudio_home_t,dir,create

audit2allow

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t pulseaudio_home_t:dir create;

audit2allow -R

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t pulseaudio_home_t:dir create;


Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.11-100.fc17.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-05-15 12:48:15 EDT
bf110c9332b05675102894cfc18b3d833a86cce3 fixes this in git.
Comment 2 Fedora End Of Life 2013-07-04 02:19:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.